Entur Developer
Distances and zones

Shortest distance

GET
https://api.entur.io/distance
/stop-place-distances/{fromStopPlaceId}/{toStopPlaceId}

Returns the distance between two stops as JSON, it includes metadata on the two stops

Shortest distance › path Parameters

fromStopPlaceId
​string · required · style: simple

The start point of the Stop Place in NeTEx format

toStopPlaceId
​string · required · style: simple

The end point of the Stop Place in NeTEx format

Shortest distance › query Parameters

time
​string · date-time · style: form · explode: true

The time at which the distance is active. This defaults to now

organisationId
​integer · int64 · style: form · explode: true

The organisation owning the distance. This is defaulted to 1 if not supplied

Default: 1
withPath
​boolean · style: form · explode: true

RFU

Default: false

Shortest distance › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Shortest distance › Responses

OK

No data returned

Distance in travel path only

GET
https://api.entur.io/distance
/stop-place-distances/travel-path/{fromStopPlaceId}/{toStopPlaceId}

Returns the distance between two stops, it includes metadata on the two stops including the path, but the path will exclude any paths that aren't based on real travels

Distance in travel path only › path Parameters

fromStopPlaceId
​string · required · style: simple

The start point of the Stop Place in Netex format

toStopPlaceId
​string · required · style: simple

The end point of the Stop Place in Netex format

Distance in travel path only › query Parameters

organisationId
​integer · int64 · required · style: form · explode: true

The organisation owning the distance

time
​string · date-time · style: form · explode: true

The time at which the distance is active. This defaults to now

Distance in travel path only › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Distance in travel path only › Responses

OK

organisationId
​integer · int64
fromStopPlaceId
​string
toStopPlaceId
​string
distance
​integer · int32
​array | null

All reachable stops

GET
https://api.entur.io/distance
/stop-place-distances/reachable/{fromStopPlaceId}

Returns all stops that are reachable from a given stop and the distance to the stop

All reachable stops › path Parameters

fromStopPlaceId
​string · required · style: simple

The start point of the Stop Place in Netex format

All reachable stops › query Parameters

organisationId
​integer · int64 · required · style: form · explode: true

The organisation owning the distance

time
​string · date-time · style: form · explode: true

The time at which the distance is active. This defaults to now

All reachable stops › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

All reachable stops › Responses

OK

No data returned

Shortest distance

GET
https://api.entur.io/distance
/stop-place-distances/pricing-path/{fromStopPlaceId}/{toStopPlaceId}

Returns the distance between two stops, it includes metadata on the two stops including the path

Shortest distance › path Parameters

fromStopPlaceId
​string · required · style: simple

The start point of the Stop Place in Netex format

toStopPlaceId
​string · required · style: simple

The end point of the Stop Place in Netex format

Shortest distance › query Parameters

organisationId
​integer · int64 · required · style: form · explode: true

The organisation owning the distance

time
​string · date-time · style: form · explode: true

The time at which the distance is active. This defaults to now

Shortest distance › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Shortest distance › Responses

OK

organisationId
​integer · int64
fromStopPlaceId
​string
toStopPlaceId
​string
distance
​integer · int32
​array | null

All directly connected stops

GET
https://api.entur.io/distance
/stop-place-distances/connected/{fromStopPlaceId}

Returns all stops connected in 1 jump from this stop and the distance to the stop

All directly connected stops › path Parameters

fromStopPlaceId
​string · required · style: simple

The start point of the Stop Place in Netex format

All directly connected stops › query Parameters

organisationId
​integer · int64 · required · style: form · explode: true

The organisation owning the distance

time
​string · date-time · style: form · explode: true

The time at which the distance is active. This defaults to now

travelPathOnly
​boolean · style: form · explode: true

If the result should also include stop that are connected through pricing path and not travel paths

All directly connected stops › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

All directly connected stops › Responses

OK

No data returned

Did you find what you were looking for?